Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • VibeCraft
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • Add subscription
        • Get subscription by id
        • Update subscription
        • Delete subscription by id
        • Get subscription list
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • SubscriptionRecipient
  • Responses
  • 200 OK
  • Body
  • Subscription
  1. DataLens Public API
  2. DataLens API (англ.)
  3. Subscriptions
  4. Get subscription list
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
    • SubscriptionRecipient
  • Responses
  • 200 OK
    • Body
    • Subscription

Get subscription list

Returns a list of subscriptions.

RequestRequest

POST

https://api.datalens.tech/rpc/getSubscriptions

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "search": "example",
  "status": "active",
  "collectionId": "example",
  "workbookId": "example",
  "contentEntryId": "example",
  "triggerEntryId": "example",
  "createdBy": "example",
  "sortBy": "createdAt",
  "order": "asc",
  "limit": 0.5,
  "pageToken": "example",
  "recipient": {
    "subjectId": "example",
    "subjectType": "userAccount"
  }
}

Name

Description

collectionId

Type: string

Example: example

contentEntryId

Type: string

Example: example

createdBy

Type: string

Example: example

limit

Type: number

order

Type: string

Enum: asc, desc

pageToken

Type: string

Example: example

recipient

Type: SubscriptionRecipient

Example
{
  "subjectId": "example",
  "subjectType": "userAccount"
}

search

Type: string

Example: example

sortBy

Type: string

Enum: createdAt, updatedAt, recipientCount

status

Type: string

Enum: active, stopped, suspended

triggerEntryId

Type: string

Example: example

workbookId

Type: string

Example: example

SubscriptionRecipientSubscriptionRecipient

Name

Description

subjectId

Type: string

ID of the recipient user account.

Example: example

subjectType

Type: string

Recipient subject type. Only user accounts are supported.

Const: userAccount

Example: example

Example
{
  "subjectId": "example",
  "subjectType": "userAccount"
}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "subscriptions": [
    {
      "title": "example",
      "description": "example",
      "content": {
        "type": "example",
        "entryId": "example",
        "options": {}
      },
      "trigger": {
        "type": "example",
        "entryId": "example",
        "options": {}
      },
      "artifact": {
        "type": "example",
        "options": {}
      },
      "recipients": [
        {
          "subjectId": "example",
          "subjectType": "userAccount"
        }
      ],
      "selfSubscribeEnabled": true,
      "status": "active",
      "tenantId": "example",
      "workbookId": "example",
      "meta": {},
      "subscriptionId": "example",
      "createdAt": "example",
      "updatedAt": "example",
      "suspendedAt": "example",
      "createdBy": "example",
      "updatedBy": "example"
    }
  ],
  "nextPageToken": "example"
}

Name

Description

subscriptions

Type: Subscription[]

Example
[
  {
    "title": "example",
    "description": "example",
    "content": {
      "type": "example",
      "entryId": "example",
      "options": {}
    },
    "trigger": {
      "type": "example",
      "entryId": "example",
      "options": {}
    },
    "artifact": {
      "type": "example",
      "options": {}
    },
    "recipients": [
      {
        "subjectId": "example",
        "subjectType": "userAccount"
      }
    ],
    "selfSubscribeEnabled": true,
    "status": "active",
    "tenantId": "example",
    "workbookId": "example",
    "meta": {},
    "subscriptionId": "example",
    "createdAt": "example",
    "updatedAt": "example",
    "suspendedAt": "example",
    "createdBy": "example",
    "updatedBy": "example"
  }
]

nextPageToken

Type: string | null

Example: example

SubscriptionSubscription

Name

Description

artifact

Type: object

options

Type: object

[additional]

Type: unknown

Example: null

Example
{}

type

Type: string

Example: example

Example
{
  "type": "example",
  "options": {}
}

content

Type: object

entryId

Type: string

Example: example

options

Type: object

[additional]

Type: unknown

Example: null

Example
{}

type

Type: string

Example: example

Example
{
  "type": "example",
  "entryId": "example",
  "options": {}
}

createdAt

Type: string

Example: example

createdBy

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

recipients

Type: SubscriptionRecipient[]

Example
[
  {
    "subjectId": "example",
    "subjectType": "userAccount"
  }
]

selfSubscribeEnabled

Type: boolean

status

Type: string

Enum: active, stopped, suspended

subscriptionId

Type: string

Example: example

suspendedAt

Type: string | null

Example: example

tenantId

Type: string

Example: example

title

Type: string

Example: example

trigger

Type: object

entryId

Type: string | null

Example: example

options

Type: object

[additional]

Type: unknown

Example: null

Example
{}

type

Type: string

Example: example

Example
{
  "type": "example",
  "entryId": "example",
  "options": {}
}

updatedAt

Type: string

Example: example

updatedBy

Type: string

Example: example

workbookId

Type: string

Example: example

description

Type: string | null

Example: example

Example
{
  "title": "example",
  "description": "example",
  "content": {
    "type": "example",
    "entryId": "example",
    "options": {}
  },
  "trigger": {
    "type": "example",
    "entryId": "example",
    "options": {}
  },
  "artifact": {
    "type": "example",
    "options": {}
  },
  "recipients": [
    {
      "subjectId": "example",
      "subjectType": "userAccount"
    }
  ],
  "selfSubscribeEnabled": true,
  "status": "active",
  "tenantId": "example",
  "workbookId": "example",
  "meta": {},
  "subscriptionId": "example",
  "createdAt": "example",
  "updatedAt": "example",
  "suspendedAt": "example",
  "createdBy": "example",
  "updatedBy": "example"
}

Была ли статья полезна?

Предыдущая
Delete subscription by id
Следующая
Overview
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»